//
//  PartsReturnDetailRelationCell.swift
//  VattiCSS
//
//  Created by WZR on 2023/9/27.
//

import UIKit

class PartsReturnDetailRelationCell: UITableViewCell {

    @IBOutlet weak var view_content: UIView!
    @IBOutlet weak var lab_info: UILabel!
    
    override func awakeFromNib() {
        super.awakeFromNib()
        // Initialization code
    }

    override func setSelected(_ selected: Bool, animated: Bool) {
        super.setSelected(selected, animated: animated)

        // Configure the view for the selected state
    }
    
    override func draw(_ rect: CGRect) {
        super.draw(rect)
        view_content.makeRadius(value: 8, type: [.bottomLeft, .bottomRight])
    }
}
extension PartsReturnDetailRelationCell: TCCell_RowCellUpdateProtocol {
    typealias DataSource = String
    typealias ConfigModel = Any
    
    func row_update(dataSource data: DataSource) {
        lab_info.cd.text("\("关联工单".languageString())：\(data)")
    }
    
    func row_update(config data: ConfigModel) {
    }
    
}

